function battle_sai041(npcID)  --魔教弟子甲


    n=flag.GetBattleValue(12085)
    hp=battle.GetSelfHP(2)
	
	if battle.CheckPlayerStat(16,725)==1 then
	    for se=1,7,1 do
        if battle.CheckNpcPlace(se)==0 then
	    local tid=battle.GetPlaceNpcID(se)
		    if npc.GetHP(tid,1)>2 then
			   npc.CreateSE(tid,3844)--剑斩的特效
			   global.PlaySound(531,200)--音效插入
			   npc.ChangeHP(1,0,tid,-2)
			end
	    end
		end	
	wt(1.5)
	end
	
	x=1
	if hp<=60 and hp>30 then
		if n==0 then
			ui.Popo_Auto(96101,1,npcID,1.3,0)
			global.Wait(1.2)
			flag.SetBattleValue(12085,1)
		end
		x=2
	elseif hp<=30 then
		if n==1 then
			ui.Popo_Auto(96102,1,npcID,1.3,0)
			global.Wait(1.2)
			flag.SetBattleValue(12085,2)
		end
		x=4
	end
	
    a=battle.GetRndNumber(1,10)
	if a>=1 and a<=4 then
		id = battle.GetRndPlayer()
		battle.SetDamageScale(x)
		battle.AtkToPlayer(id,1)     --普通攻击
	elseif a>=5 and a<=7 then
		id = battle.GetRndPlayer()
		battle.SetDamageScale(x)
		battle.AtkToPlayer(id,2)     --2号攻击
	else
		id = battle.GetRndPlayer()
		battle.SetSkillScale(x)
		battle.MagicToPlayer(id,1543,1)   --法术
	end
end